package de.intevation.artifactdatabase.state;


/**
 * The default implementation of an Output.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultOutput implements Output {

    protected String name;

    protected String description;

    protected String mimeType;


    /**
     * The default constructor that instantiates a new DefaultOutput object.
     *
     * @param name The name of this output.
     * @param description The description of this output.
     * @param mimeType The mimetype of this output.
     */
    public DefaultOutput(String name, String description, String mimeType) {
        this.name        = name;
        this.description = description;
        this.mimeType    = mimeType;
    }


    /**
     * Returns the name of this output.
     *
     * @return the name of this output.
     */
    public String getName() {
        return name;
    }


    /**
     * Returns the description of this output.
     *
     * @return the description of this output.
     */
    public String getDescription() {
        return description;
    }


    /**
     * Returns the mimetype of this output.
     *
     * @return the mimetype of this output.
     */
    public String getMimeType() {
        return mimeType;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
